Subject: Re: hyphen in package version
To: Hubert Feyrer <>
From: SUNAGAWA Keiki <>
List: tech-pkg
Date: 10/22/1999 11:43:09

Hubert Feyrer <> wrote:

Hubert> the php3-pgsql package is ok, as it doesn't contain
Hubert> the '-` in the package's _version_, only in the
Hubert> name.

Okay, I got it. So such pkgs have no version number, is that

Hubert> We use strrchr('-',...) to get the pkg version in a
Hubert> lot of places, and therefore must be consistent
Hubert> there. The php-3.0.12jb_beta4 would be ok, as would
Hubert> php-3.0.12jp_b4.

I'll take shorter one.

Hubert> What I'm really wondering, tough, is the fact if we
Hubert> need a seperate package with japanese locale support
Hubert> at all.

I agree.  I think that japanese/* pkgs should go into their
appropriate place, though we must care for the compatibility
with existing (non-localed) binary.

Hubert> Can't we just merge these changes into the "main"
Hubert> php3 package? I'd definitely prefer this to all
Hubert> packges appearing a second (third...) time in a
Hubert> localized version.

I actually do that:-) If people don't mind some broat of
binary size, I'll send-pr them after cleanup.  Once the
target software become m17n-aware, we simply enable the
feature in configure.

Thank you for clarification!